Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.client.binder
Interface GinConstantBindingBuilder

    public interface GinConstantBindingBuilder

Binds to a constant value. See the EDSL examples at `GinBinder`.

Method Summary
`void` | `to(boolean b)` Binds constant to the given value
`void` | `to(char c)` Binds constant to the given value
`void` | `to(java.lang.Class<?> aClass)` Binds constant to the given value
`void` | `to(double v)` Binds constant to the given value
`
`<E extends java.lang.Enum<E>> void`
` | `to(E e)` Binds constant to the given value
`void` | `to(float v)` Binds constant to the given value
`void` | `to(int i)` Binds constant to the given value
`void` | `to(long l)` Binds constant to the given value
`void` | `to(short i)` Binds constant to the given value
`void` | `to(java.lang.String s)` Binds constant to the given value

Method Detail

### to

    void to(java.lang.String s)

  Binds constant to the given value

### to

    void to(int i)

  Binds constant to the given value

### to

    void to(long l)

  Binds constant to the given value

### to

    void to(boolean b)

  Binds constant to the given value

### to

    void to(double v)

  Binds constant to the given value

### to

    void to(float v)

  Binds constant to the given value

### to

    void to(short i)

  Binds constant to the given value

### to

    void to(char c)

  Binds constant to the given value

### to

    void to(java.lang.Class<?> aClass)

  Binds constant to the given value

### to

    <E extends java.lang.Enum<E>> void to(E e)

  Binds constant to the given value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD